.stmd-supports-block {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-auto-rows: minmax(324px, auto);
    gap: 40px;
    grid-template-areas:
    "a b b"
    "c c d";
}

.stmd-support:nth-child(4n+1) { grid-area: a; }
.stmd-support:nth-child(4n+2) { grid-area: b; }
.stmd-support:nth-child(4n+3) { grid-area: c; }
.stmd-support:nth-child(4n+4) { grid-area: d; }

.stmd-support {
    border-radius: 24px;
    background-color: #FBFBFB;
    padding: 10px;
    overflow: hidden;
    display: flex;
    gap: 10px;
    height: 100%;
}

.stmd-support:nth-child(4n+1),
.stmd-support:nth-child(4n+4) {
    flex-direction: column;
}

.stmd-support:nth-child(4n+2),
.stmd-support:nth-child(4n+3) {
    flex-direction: row;
    justify-content: space-between;
}

.stmd-support:nth-child(4n+2) .stmd-support__img,
.stmd-support:nth-child(4n+3) .stmd-support__img {
    max-width: 385px;
}

.stmd-support__img {
    border-radius: 16px;
    overflow: hidden;
    flex-shrink: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.stmd-support__img img {
    max-width: inherit;
    width: 100%;
    object-fit: contain;
    transition-duration: 0.3s;
    border-radius: 12px;
}

.stmd-support__data {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 34px;
    padding: 30px 30px;
    height: 100%;
}

.stmd-support:nth-child(4n+2) .stmd-support__data,
.stmd-support:nth-child(4n+3) .stmd-support__data {
    justify-content: space-between;
}

.stmd-support__name {
    font-family: 'Golos Text', sans-serif;
    font-weight: 500;
    font-size: 20px;
    line-height: 100%;
    letter-spacing: 0;

    color: #111;
}

.stmd-support__text {
    font-family: 'Verdana', sans-serif;
    font-weight: 400;
    font-size: 14px;
    line-height: 140%;
    letter-spacing: 0;

    color: #111;
}

.stmd-supports-wrapper .section-header {
    position: sticky;
    top: 130px;
}

.stmd-supports-wrapper .section-header__title {
    line-height: 115%;
}

@media (max-width: 1500px) {
    .stmd-support:nth-child(4n+2) .stmd-support__img,
    .stmd-support:nth-child(4n+3) .stmd-support__img {
        max-width: 50%;
    }
    .stmd-support:nth-child(4n+2) .stmd-support__img img,
    .stmd-support:nth-child(4n+3) .stmd-support__img img {
        max-width: 100%;
    }
}
@media (max-width: 1400px) {
    .stmd-support:nth-child(4n+2) .stmd-support__img,
    .stmd-support:nth-child(4n+3) .stmd-support__img {
        max-width: 50%;
    }
    .stmd-support:nth-child(4n+2) .stmd-support__img img,
    .stmd-support:nth-child(4n+3) .stmd-support__img img {
        max-width: unset;
        height: 100%;
        object-fit: cover;
    }
}

@media (max-width: 992px) {
    .stmd-support:nth-child(4n+1) .stmd-support__data,
    .stmd-support:nth-child(4n+4) .stmd-support__data {
        padding: 10px 10px 30px;
    }
    .stmd-support:nth-child(4n+2) .stmd-support__data,
    .stmd-support:nth-child(4n+3) .stmd-support__data {
        padding: 10px 30px 10px 10px;
    }
}

@media (max-width: 768px) {
    .stmd-supports-block {
        display: flex;
        flex-direction: column;
        grid-template-columns: unset;
        grid-auto-rows: unset;
        gap: 20px;
        grid-template-areas: unset;

        height: 100%;
    }

    .stmd-support:nth-child(4n+1) { grid-area: unset; }
    .stmd-support:nth-child(4n+2) { grid-area: unset; }
    .stmd-support:nth-child(4n+3) { grid-area: unset; }
    .stmd-support:nth-child(4n+4) { grid-area: unset; }

    .stmd-support:nth-child(4n+2) .stmd-support__data,
    .stmd-support:nth-child(4n+3) .stmd-support__data {
        padding: 10px 10px 30px;
    }

    .stmd-support:nth-child(4n+2),
    .stmd-support:nth-child(4n+3) {
        flex-direction: column;
    }

    .stmd-support:nth-child(4n+2) .stmd-support__img,
    .stmd-support:nth-child(4n+3) .stmd-support__img {
        max-width: 100%;
    }

    .stmd-support__img {
        flex-shrink: 0;
        max-width: 100%;
        max-height: 150px;
        width: 100%;
        padding: 0;
        border-radius: 12px;
    }
    .stmd-support__img img {
        border-radius: 12px;
        max-width: 100%;
        width: 100%;
        object-fit: contain;
    }
}

@media (max-width: 576px) {
    .stmd-support__data {
        gap: 12px;
    }
    .stmd-support__img {
        height: 150px;
    }
    .stmd-support__img img {
        object-fit: cover;
        height: 100%;
    }
}


